<template>
  <div :class="['nowhere', auth ? 'nowhere--auth' : '']">
    <div class="nowhere__info">
      <h2>Такой страницы нет</h2>
      <p>
        <b>Вы перешли по несуществующей ссылке, или эта страница удалена.</b>
      </p>
      <div class="search">
        Воспользуйтесь поиском
        <ob-input v-model="searchQuery" placeholder="Что вы ищете?" icon="search" />
      </div>
      <p>
        Или вернитесь на главную страницу
        <ob-button label="На главную страницу" :isFullWidth="true" @click="$router.push({ name: 'entry' })" />
      </p>
    </div>
    <div class="nowhere__img">
      <svg width="237" height="84" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M0 0h24v38a6 6 0 006 6h8a6 6 0 006-6V0h24v84H44V70a6 6 0 00-6-6H10C4.477 64 0 59.523 0 54V0zM119 50a8 8 0 100-16 8 8 0 000 16z" fill="#fff"/><path fill-rule="evenodd" clip-rule="evenodd" d="M161 42c0 23.196-18.804 42-42 42S77 65.196 77 42 95.804 0 119 0s42 18.804 42 42zm-24 0c0 9.941-8.059 18-18 18s-18-8.059-18-18 8.059-18 18-18 18 8.059 18 18z" fill="#fff"/><path d="M169 0h24v38a6 6 0 006 6h8a6 6 0 006-6V0h24v84h-24V70a6 6 0 00-6-6h-28c-5.523 0-10-4.477-10-10V0z" fill="#fff"/></svg>
      Страница не найдена
    </div>
  </div>
</template>

<script>
  import { tokenData } from '@/tokenData'
  import { isEmpty } from '@/helpers'
  import ObInput from 'common-components/src/obComponents/obInput';
  import ObButton from 'common-components/src/obComponents/obButton';
  export default {
    name: 'notFound',

    components: {
      ObInput,
      ObButton,
    },

    mounted() {
      const menu = document.querySelector('.ob-main-template-header')
      if (!this.auth && menu) {
        menu.style.zIndex = 0
      }
    },

    data() {
      return {
        searchQuery: ''
      }
    },

    computed: {
      auth() {
        return !isEmpty(tokenData)
      }
    }
  }
</script>

<style lang="scss" scoped>
@import './styles.scss';
</style>
